#include "keys.h"

using namespace std;

bool keys(s_game &game, SDL_Event &event) {

   game.b_left = game.b_right = game.b_jump = game.b_fire = 0;
   unsigned i = 0;

   ifstream file_in;
   file_in.open("keys.mov", ios::binary);

   // get length of file:
   file_in.seekg (0, ios::end);
   int length = file_in.tellg();
   file_in.seekg (0, ios::beg);

   vector<string> VS_keys;

   VS_keys.push_back(string("Press button to move on your left."));
   VS_keys.push_back(string("Press button to move on your right."));
   VS_keys.push_back(string("Press button to jump."));
   VS_keys.push_back(string("Press button to shut fires."));

   if(!file_in.is_open()) {

      file_in.close();
      ofstream file_out;
      file_out.open("keys.mov", ios::binary);

      for(i = 0; i < 4; ++i) {
         // draw the box
         SDL_Rect rect_box = {320, 200};
         CBox OBox_keys(string(IMG_PATH + "box/background.png"), rect_box, .4, game.coef_resol);
         vector<string> VS_text;
         VS_text.push_back(string("KEYBOARD / JOYSTICK"));
         VS_text.push_back(string(" "));
         VS_text.push_back(VS_keys.at(i));

         // write keys values into the file
         Sevents_key_joy Key_Joy = OBox_keys.show(VS_text, event, NO_BUTTONS);

         switch(i) {
            case 0:
               game.t_left = Key_Joy.type;
               game.b_left = Key_Joy.k_j;
            break;
            case 1:
               game.t_right = Key_Joy.type;
               game.b_right = Key_Joy.k_j;
            break;
            case 2:
               game.t_jump = Key_Joy.type;
               game.b_jump = Key_Joy.k_j;
            break;
            case 3:
               game.t_fire = Key_Joy.type;
               game.b_fire = Key_Joy.k_j;
            break;
         }
         file_out << Key_Joy.type << endl;
         file_out << Key_Joy.k_j << endl;
      } 

      file_out.close();
      return false;
   }

   CConverter conv;
   string line;

   while(file_in.good()) {

      getline(file_in, line);

      switch(i) {
         case 0:
            game.t_left = conv << line;
            getline(file_in, line);
            game.b_left = conv << line;
         break;
         case 1:
            game.t_right = conv << line;
            getline(file_in, line);
            game.b_right = conv << line;
         break;
         case 2:
            game.t_jump = conv << line;
            getline(file_in, line);
            game.b_jump = conv << line;
         break;
         case 3:
            game.t_fire = conv << line;
            getline(file_in, line);
            game.b_fire = conv << line;
         break;
      }
      ++i;
   }

   file_in.close();
   return false;
}
