#include "screen_wait.h"

using namespace std;

void screen_wait(s_game &game, SDL_Event &event, bool box_end, string& screen_name, const float& time_sb, const int& wait) {

   bool quit = false;

   // draw game over
   game.anim_screen_wait = new CAnimation(false, 0, 1, seq_story, 1, screen_name.c_str(), origins, game.coef_resol);

   unsigned i;

   for(wait == 2 ? i = 1: i = 0; i < 2; ++i) {
      while(game.anim_screen_wait->slide_black(time_sb)) {

/*
      if(wait_game > 60) {

         // draw the box "play again"
         if(box_end) {
            SDL_Rect rect_box = {100, 100};
            CBox box_continue(rect_box, .4, game.coef_resol);
            vector<string> vect_play_again;
            vect_play_again.push_back(string("Play again ?"));
            if(box_continue.show(vect_play_again, event, YES_NO).button == NO)
               exit_game(game);
         }
      }
*/

         // show the screen with a slide black alpha

         game.anim_screen_wait->show(false, false, 1, .2);
         SDL_Delay(TimeLeft());

         // update screen
         glFlush();
         SDL_GL_SwapBuffers();

         while(SDL_PollEvent(&event))
            if(event.type == SDL_QUIT)
               exit_game(game);
      }

      // to read the story, we press a button to continue

      if(wait == 1)
         while(!quit) {

            SDL_Delay(TimeLeft());
            while(SDL_PollEvent(&event)) {
               if(event.type == SDL_KEYDOWN || event.type == SDL_MOUSEBUTTONDOWN || event.type == SDL_JOYBUTTONDOWN) {
                  quit = true;
                  break;
               }

               if(event.type == SDL_QUIT)
                  exit_game(game);
            }
         }
   }

   delete game.anim_screen_wait;
}
