/***********************/
/* the main game level */
/***********************/

/*
This file is part of Tuxworld.

    Tuxworld is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Tuxworld is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Tuxworld.  If not, see <http://www.gnu.org/licenses/>.

Ce fichier fait partie de Tuxworld.

	Tuxworld est un logiciel libre ; vous pouvez le redistribuer ou le
	modifier suivant les termes de la GNU General Public License telle
	que publiée par la Free Software Foundation ; soit la version 3 de
	la licence, soit (à votre gré) toute version ultérieure.

	Tuxworld est distribué dans l'espoir qu'il sera utile, mais SANS
	AUCUNE GARANTIE ; pas même la garantie implicite de
	COMMERCIABILISABILITÉ ni d'ADÉQUATION à UN OBJECTIF PARTICULIER.
	Consultez la GNU General Public License pour plus de détails.

	Vous devez avoir reçu une copie de la GNU General Public License
	en même temps que Tuxworld ; si ce n'est pas le cas,
	consultez <http://www.gnu.org/licenses>.
*/

#ifndef LEVEL_GAME

#define LEVEL_GAME

#include <cmath>
#include "tuxworld.h"
#include "macros.h"
#include "exit_game.h"
#include "tux_death.h"
#include "init_datasworld.h"
#include "init_gameobjects.h"
#include "keys.h"

void level_game(s_game& game, const unsigned& nbr_appearances_enemies, const unsigned& level, const std::string& file_music, const std::string& file_ennemy, const std::string& file_sky, std::vector<std::string>& Vfiles_ground, std::vector<std::string>& Vfiles_seq_ennemy, const std::string& file_boss, const std::string& file_boss_injured);

#endif
